#!/bin/bash

SIM=SIM
for CAS in 03SC 05SC 05WC 15B 24B 24F 24SC 00SC 00WC  ; do

flux=`echo $CAS | sed -e 's/[A-Z]//g'`
flux=0.$flux

mkdir -p $SIM/$CAS
\cp lmdz1d.e $SIM/$CAS/
\cp DEF/*def $SIM/$CAS/
sed -e 's/wtsurf.*.$/wtsurf='$flux'/' DEF/lmdz1d.def >| $SIM/$CAS/lmdz1d.def
cat $SIM/$CAS/lmdz1d.def

cp DONNEES/LES$CAS/*001 $SIM/$CAS
cd $SIM/$CAS
./lmdz1d.e
cd ../../
done
extractions.x $SIM
cd $SIM
../traite.x
